summaryrefslogtreecommitdiffstats
path: root/multimedia/gpac/gpac.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia2010-07-06 07:15:25 +0200
committer Erik Hanson2010-07-06 09:33:55 +0200
commitffd55fee8e806f847e2cecda8ebed48762018b4b (patch)
treec5b3f786bec97cddf7873dd6a7b7205757d6217d /multimedia/gpac/gpac.SlackBuild
parentf5c7af1d6033dcbf70d83805303d8ce974f1b8f2 (diff)
downloadslackbuilds-ffd55fee8e806f847e2cecda8ebed48762018b4b.tar.gz
multimedia/gpac: Added (multimedia framework)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'multimedia/gpac/gpac.SlackBuild')
-rw-r--r--multimedia/gpac/gpac.SlackBuild123
1 files changed, 123 insertions, 0 deletions
diff --git a/multimedia/gpac/gpac.SlackBuild b/multimedia/gpac/gpac.SlackBuild
new file mode 100644
index 0000000000..e78141d982
--- /dev/null
+++ b/multimedia/gpac/gpac.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware Package Build Script for gpac
+# Home Page http://gpac.sourceforge.net/
+
+# Copyright (c) 2007-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gpac
+VERSION=0.4.5
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+### wxwidgets support
+if [ "${WX_SUPPORT:-no}" = "no" ]; then
+ wx_option="--disable-wx"
+else
+ wx_option="--enable-wx"
+fi
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+mv $TMP/$PRGNAM $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+( cd src/media_tools; patch -p0 < $CWD/libpng-infopp-null.patch )
+
+### fix configure script perms
+chmod u+x configure
+
+./configure --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-opt \
+ --cpu=${ARCH} \
+ --extra-cflags="$SLKCFLAGS" \
+ --disable-ipv6 \
+ $wx_option
+
+make -j1 # Parallel build seems to fail
+make install DESTDIR=$PKG
+
+### remove $PKG/usr/share/gpac directory
+### only contains gpac.mp4 file which
+### doesn't seem to play with mplayer
+rm -fr $PKG/usr/share
+
+### copying essential doc files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AUTHORS COPYING BUGS Changelog INSTALLME \
+README TODO doc/configuration.html $PKG/usr/doc/$PRGNAM-$VERSION
+
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# find and compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+### putting slack-desc and doinst.sh in place
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+### building package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}